kr.co.hanwha.hifive.data.model

## Class AlarmListRoot

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.BaseData
  - - kr.co.hanwha.hifive.data.model.AlarmListRoot

-     public class AlarmListRoot
      extends BaseData

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `countOfTotalRecords`
    `(package private) int` | `finalPageNo`
    `(package private) java.util.ArrayList<AlarmData>` | `listNotiHist`
    `(package private) int` | `nextPageNo`

    - ### Fields inherited from class kr.co.hanwha.hifive.data.model.BaseData

      `rtn_code, rtn_message, server_time`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlarmListRoot()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCountOfTotalRecords()`
    `int` | `getFinalPageNo()`
    `java.util.List<AlarmData>` | `getListNotiHist()`

    - ### Methods inherited from class kr.co.hanwha.hifive.data.model.BaseData

      `getRtn_code, getRtn_message, getServer_time, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nextPageNo

          int nextPageNo

    - #### finalPageNo

          int finalPageNo

    - #### countOfTotalRecords

          int countOfTotalRecords

    - #### listNotiHist

          java.util.ArrayList<AlarmData> listNotiHist

  - ### Constructor Detail

    - #### AlarmListRoot

          public AlarmListRoot()

  - ### Method Detail

    - #### getListNotiHist

          public java.util.List<AlarmData> getListNotiHist()

    - #### getCountOfTotalRecords

          public int getCountOfTotalRecords()

    - #### getFinalPageNo

          public int getFinalPageNo()